<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xalan="http://xml.apache.org/xalan" xmlns:t="http://software.in2p3.fr/lavoisier/tables.xsd" version="1.0">
    <!-- generated by xslRowColumn-2-xslHtml.xsl --><include xmlns="http://www.w3.org/1999/XSL/Transform" href="/resource/xsl/head.xsl"/><include xmlns="http://www.w3.org/1999/XSL/Transform" href="/resource/xsl/navbar.xsl"/>
    <xsl:output method="html" indent="yes" xalan:indent-amount="4"/>
    <xsl:strip-space elements="*"/><!-- prevents text() function to ignore the text nodes other than 1st one -->
    <xsl:param name="view">Default rendering</xsl:param>

    <xsl:template match="/t:tables" priority="1"><x:html xmlns:x="http://www.w3.org/1999/xhtml"><head xmlns="http://www.w3.org/1999/xhtml"><title><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="$view"/></title><style type="text/css">
        h2            {text-align : center;}
        TD             {text-align: left;}
        TD.number      {text-align: right;}
    </style><call-template xmlns="http://www.w3.org/1999/XSL/Transform" name="head"/></head><body xmlns="http://www.w3.org/1999/xhtml"><call-template xmlns="http://www.w3.org/1999/XSL/Transform" name="navbar"/><div class="container"><h2 class="page-title text-center"><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="$view"/></h2><div style="margin-top:50px; overflow-x:scroll;"><xsl:apply-templates/></div></div></body></x:html></xsl:template>
    <xsl:template match="t:fields" priority="1"><ul xmlns="http://www.w3.org/1999/xhtml"><xsl:apply-templates/></ul></xsl:template>
    <xsl:template match="t:field" priority="1"><li xmlns="http://www.w3.org/1999/xhtml"><b><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="@label"/>: </b><xsl:apply-templates/></li></xsl:template>
    <xsl:template match="t:table" priority="1"><table xmlns="http://www.w3.org/1999/xhtml" class="table table-bordered table-striped table-sorted table-hover"><xsl:apply-templates/></table></xsl:template>
    <xsl:template match="t:column_labels" priority="1"><thead xmlns="http://www.w3.org/1999/xhtml"><tr><xsl:apply-templates/></tr></thead></xsl:template>
    <xsl:template match="t:column_label" priority="1"><th xmlns="http://www.w3.org/1999/xhtml"><xsl:apply-templates/></th></xsl:template>
    <xsl:template match="t:row" priority="1"><tr xmlns="http://www.w3.org/1999/xhtml"><xsl:apply-templates/></tr></xsl:template>
    <xsl:template match="t:column[not(@link)]" priority="1"><td xmlns="http://www.w3.org/1999/xhtml"><xsl:apply-templates/></td></xsl:template>
    <xsl:template match="t:column[@link]" priority="1"><td xmlns="http://www.w3.org/1999/xhtml"><a href="{@link}"><xsl:apply-templates/></a></td></xsl:template>

    <xsl:template match="/*">
        <x:html xmlns:x="http://www.w3.org/1999/xhtml"><head xmlns="http://www.w3.org/1999/xhtml"><title><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="$view"/></title><style type="text/css">
            h2            {text-align : center;}
            TD             {text-align: left;}
            TD.number      {text-align: right;}
        </style><call-template xmlns="http://www.w3.org/1999/XSL/Transform" name="head"/></head><body xmlns="http://www.w3.org/1999/xhtml"><call-template xmlns="http://www.w3.org/1999/XSL/Transform" name="navbar"/><div class="container"><h2 class="page-title text-center"><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="$view"/></h2><div style="margin-top:50px; overflow-x:scroll;">
            <xsl:apply-templates select="." mode="ROOT"/>
        </div></div></body></x:html>
    </xsl:template>
    <xsl:template match="*[count(*[*]) = 1]" mode="ROOT">
        <xsl:apply-templates mode="ROOT"/>
    </xsl:template>
    <xsl:template match="*" mode="ROOT">
        <xsl:variable name="single" select="*[not(local-name()=local-name(preceding-sibling::*[1]) or local-name()=local-name(following-sibling::*[1]))]"/>
        <xsl:variable name="multiple" select="*[local-name()=local-name(preceding-sibling::*[1]) or local-name()=local-name(following-sibling::*[1])]"/>
        <ul xmlns="http://www.w3.org/1999/xhtml">
            <xsl:for-each select="@* | $single[not(*)][normalize-space(text())!='']">
                <li><b><value-of xmlns="http://www.w3.org/1999/XSL/Transform" select="local-name()"/>: </b>
                    <xsl:value-of select="."/>
                </li>
            </xsl:for-each>
        </ul>
        <xsl:choose>
            <xsl:when test="$multiple">
                <xsl:apply-templates mode="TABLE" select="$multiple[not(local-name()=local-name(preceding-sibling::*[1]))]"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:apply-templates mode="TABLE" select="$single/*[not(local-name()=local-name(preceding-sibling::*[1]))]"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="*" mode="TABLE">
        <table xmlns="http://www.w3.org/1999/xhtml" class="table table-bordered table-striped table-sorted table-hover">
            <xsl:choose>
                <xsl:when test="following-sibling::*[local-name()=local-name(current())]">
                    <!-- current element is first row -->
                    <xsl:attribute name="name"><xsl:value-of select="local-name()"/></xsl:attribute>
                    <xsl:call-template name="TABLE">
                        <xsl:with-param name="rows" select=". | following-sibling::*[local-name()=local-name(current())]"/>
                    </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                    <!-- current element is parent of rows -->
                    <xsl:attribute name="name">
                        <xsl:choose>
                            <xsl:when test="@id|@ID"><xsl:value-of select="@id|@ID"/></xsl:when>
                            <xsl:when test="@name|@NAME"><xsl:value-of select="@name|@NAME"/></xsl:when>
                            <xsl:when test="count(@*)=1"><xsl:value-of select="@*"/></xsl:when>
                            <xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>
                        </xsl:choose>
                    </xsl:attribute>
                    <xsl:call-template name="TABLE">
                        <xsl:with-param name="rows" select="*"/>
                    </xsl:call-template>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template name="TABLE">
        <xsl:param name="rows"/>
        <xsl:apply-templates select="$rows[1]" mode="HEADER"/>
        <xsl:for-each select="$rows">
            <xsl:apply-templates select="$rows[1]" mode="ROW">
                <xsl:with-param name="current" select="."/>
            </xsl:apply-templates>
        </xsl:for-each>
    </xsl:template>

    <xsl:template match="@* | *" mode="LABEL">
        <th xmlns="http://www.w3.org/1999/xhtml">
            <xsl:value-of select="local-name()"/>
            <xsl:if test="number(.)=.">
                (value)
            </xsl:if>
        </th>
    </xsl:template>
    <xsl:template match="text()" mode="LABEL">
        <th xmlns="http://www.w3.org/1999/xhtml">
            <xsl:text>#text</xsl:text>
            <xsl:if test="number(.)=.">
                (value)
            </xsl:if>
        </th>
    </xsl:template>
    <xsl:template match="*" mode="HEADER">
        <thead xmlns="http://www.w3.org/1999/xhtml"><tr>
            <xsl:apply-templates select="@* | text()[.!='']" mode="LABEL"/>
            <xsl:for-each select="*">
                <xsl:if test="not((preceding::*|following-sibling::*)[local-name()=local-name(current())])">
                    <xsl:apply-templates select="." mode="LABEL"/>
                </xsl:if>
            </xsl:for-each>
        </tr></thead>
    </xsl:template>
    <xsl:template match="*" mode="ROW">
        <xsl:param name="current"/>
        <tr xmlns="http://www.w3.org/1999/xhtml">
            <xsl:for-each select="@*">
                <xsl:variable name="value" select="$current/@*[local-name()=local-name(current())]"/>
                <td><xsl:value-of select="$value"/></td>
            </xsl:for-each>
            <xsl:for-each select="*">
                <xsl:if test="not((preceding::*|following-sibling::*)[local-name()=local-name(current())])">
                    <xsl:variable name="value" select="$current/*[local-name()=local-name(current())]"/>
                    <td><xsl:value-of select="$value"/></td>
                </xsl:if>
            </xsl:for-each>
            <xsl:for-each select="text()">
                <td><xsl:value-of select="$current/text()"/></td>
            </xsl:for-each>
        </tr>
    </xsl:template>
</xsl:stylesheet>